!Programa que permite introducir numeros por teclado 
!hasta introducir un cero y suma el total de numeros
!divisores de 7 y por otra parte los numeros que su raiz
!cuadrada es un valor entero (4=2*2,9=3*3,16=4*4...).

Program DivisoresCuadrados
Implicit none

!Declaracion de variables
Integer :: cuadrados=0,divSiete=0,
Real :: aux


Print*, "Introduce un numero entero (0 para finalizar)"
Read*, valor


Do While (valor.eq.0) then
	if (mod(valor,7).eq.0) then 
		divSiete=divSiete+7
		print *, "el numero es divisor de siete!"
	endif

	aux=sqrt(1.0*valor)
	if (aux*aux).eq.valor then
		cuadrados==cuadrados+1
		print *, "el numero es un valor cuadrado!"
	endif

	Print*, "Introduce otro numero entero (0 para finalizar)"
	Read*, valor
EndDo


!Resultados finales
Print*, "los numeros divisores de 7 que has escrito son: ", divSiete
Print*, "y los numeros que son cuadrados son: ", cuadrados

End Program DivisoresCuadrados
